Page MenuHomeMiraheze

Extension:Duplicator does not work and MediaWiki error appears\Storage\IncompleteRevisionException
Open, NormalPublic

Description

The error appears in Special:Duplicator, completing the form by checking the "Duplicate full page history" box and saving.

Error message

[0eca3da3f8e94f643383f493] 2018-09-26 14:44:53: Excepción grave de tipo "MediaWiki\Storage\IncompleteRevisionException"

The error appears on at least two wikis.

Event Timeline

Ucronistaw created this task.Sep 26 2018, 15:00
AmandaCath triaged this task as Normal priority.Sep 27 2018, 11:12
AmandaCath added a project: Extensions.
AmandaCath moved this task from Needs Review to Bugs on the Extensions board.Sep 27 2018, 11:13
AmandaCath added a subscriber: AmandaCath.

@Ucronistaw Is this error still happening?

AmandaCath closed this task as Resolved.Oct 11 2018, 13:35
AmandaCath claimed this task.

No response. Reopen if issue is still occurring or occurs again.

MacFan4000 removed AmandaCath as the assignee of this task.Oct 11 2018, 16:39
MacFan4000 reopened this task as Open.
MacFan4000 removed a project: Amanda Catherine.
MacFan4000 added a subscriber: MacFan4000.

I am able to reproduce this on test1wiki

@MacFan4000 if you don’t want me editing your tag, don’t edit mine.

I remember answering, but I see it was not. I still had problems before reforming my wikis projects. And I haven't been able to review it. @AmandaCath @MacFan4000

(and please don't fight with the tags :P )

Any updates on this?

John added a subscriber: John.Thu, Dec 6, 18:29

The extension no longer works at all from what I can tell.

Destination can't exist but looking into the code, the destination has to exist otherwise the queries it's running returns NULL which produces NULL for $revision which should be an object containing revision information.

John added a comment.EditedThu, Dec 6, 18:31
root@test1:~# php /srv/mediawiki/w/maintenance/eval.php --wiki test1wiki
> $dest = Title::newFromText( "MainP" );

> $dest = new Article( $dest );

> $aid = $dest->insertOn( wfGetDB( DB_MASTER ) );

> $latest = wfGetDB( DB_MASTER )->selectField( 'revision', 'MAX(rev_id)', [ 'rev_page' => $aid ] );

> var_dump( $latest );
NULL

> $nr = Revision::newFromId( $latest );

> var_dump( $nr );
NULL

> var_dump( $dest );
object(Article)#420 (13) {
  ["mContext":protected]=>
  NULL
  ["mPage":protected]=>
  object(WikiPage)#421 (13) {
    ["mTitle"]=>
    object(Title)#418 (32) {
      ["mTextform"]=>
      string(5) "MainP"
      ["mUrlform"]=>
      string(5) "MainP"
      ["mDbkeyform"]=>
      string(5) "MainP"
      ["mUserCaseDBKey":protected]=>
      string(5) "MainP"
      ["mNamespace"]=>
      int(0)
      ["mInterwiki"]=>
      string(0) ""
      ["mLocalInterwiki":"Title":private]=>
      bool(false)
      ["mFragment"]=>
      string(0) ""
      ["mArticleID"]=>
      int(190)
      ["mLatestID":protected]=>
      bool(false)
      ["mContentModel":"Title":private]=>
      bool(false)
      ["mForcedContentModel":"Title":private]=>
      bool(false)
      ["mEstimateRevisions":"Title":private]=>
      NULL
      ["mRestrictions"]=>
      array(0) {
      }
      ["mOldRestrictions":protected]=>
      bool(false)
      ["mCascadeRestriction"]=>
      NULL
      ["mCascadingRestrictions"]=>
      NULL
      ["mRestrictionsExpiry":protected]=>
      array(0) {
      }
      ["mHasCascadingRestrictions":protected]=>
      NULL
      ["mCascadeSources"]=>
      NULL
      ["mRestrictionsLoaded"]=>
      bool(false)
      ["prefixedText"]=>
      NULL
      ["mTitleProtection"]=>
      NULL
      ["mDefaultNamespace"]=>
      int(0)
      ["mLength":protected]=>
      int(-1)
      ["mRedirect"]=>
      NULL
      ["mNotificationTimestamp":"Title":private]=>
      array(0) {
      }
      ["mHasSubpages":"Title":private]=>
      NULL
      ["mPageLanguage":"Title":private]=>
      bool(false)
      ["mDbPageLanguage":"Title":private]=>
      bool(false)
      ["mTitleValue":"Title":private]=>
      NULL
      ["mIsBigDeletion":"Title":private]=>
      NULL
    }
    ["mDataLoaded"]=>
    bool(false)
    ["mIsRedirect"]=>
    bool(false)
    ["mLatest"]=>
    bool(false)
    ["mPreparedEdit"]=>
    bool(false)
    ["mId":protected]=>
    int(190)
    ["mDataLoadedFrom":protected]=>
    int(-1)
    ["mRedirectTarget":protected]=>
    NULL
    ["mLastRevision":protected]=>
    NULL
    ["mTimestamp":protected]=>
    string(0) ""
    ["mTouched":protected]=>
    string(14) "19700101000000"
    ["mLinksUpdated":protected]=>
    string(14) "19700101000000"
    ["derivedDataUpdater":"WikiPage":private]=>
    NULL
  }
  ["mParserOptions"]=>
  NULL
  ["mContentObject"]=>
  NULL
  ["mContentLoaded"]=>
  bool(false)
  ["mOldId"]=>
  NULL
  ["mRedirectedFrom"]=>
  NULL
  ["mRedirectUrl"]=>
  bool(false)
  ["mRevIdFetched"]=>
  int(0)
  ["fetchResult":"Article":private]=>
  NULL
  ["mRevision"]=>
  NULL
  ["mParserOutput"]=>
  NULL
  ["disableSectionEditForRender":"Article":private]=>
  bool(false)
}

> var_dump( $aid );
int(190)

> var_dump( $latest );
NULL